Loading...
Searching...
No Matches
GncOptimizer.h File Reference

The GncOptimizer class. More...

Go to the source code of this file.

## Classes

class | gtsam::GncOptimizer< GncParameters >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

The GncOptimizer class.

Author
  Jingnan Shi
  Luca Carlone
  Frank Dellaert

Implementation of the paper: Yang, Antonante, Tzoumas, Carlone, "Graduated Non-Convexity for Robust Spatial Perception: From Non-Minimal Solvers to Global Outlier Rejection", ICRA/RAL, 2020. (arxiv version: https://arxiv.org/pdf/1909.08605.pdf)

See also: Antonante, Tzoumas, Yang, Carlone, "Outlier-Robust Estimation: Hardness, Minimally-Tuned Algorithms, and Applications", arxiv: https://arxiv.org/pdf/2007.15109.pdf, 2020.